From 502a7b13fc2e488f58ec9404f5b5a5d8f9af38eb Mon Sep 17 00:00:00 2001
From: Mike DePaulo <mikedep333@gmail.com>
Date: Sat, 27 Jun 2015 20:18:44 -0400
Subject: [PATCH] "X2GO client" -> "X2Go Client" and other "X2GO"
 capitalization fixes

---
 res/i18n/x2goclient_da.ts    | 4 ++--
 res/i18n/x2goclient_de.ts    | 4 ++--
 res/i18n/x2goclient_es.ts    | 4 ++--
 res/i18n/x2goclient_et.ts    | 8 ++++----
 res/i18n/x2goclient_fi.ts    | 4 ++--
 res/i18n/x2goclient_fr.ts    | 2 +-
 res/i18n/x2goclient_nb_no.ts | 8 ++++----
 res/i18n/x2goclient_nl.ts    | 4 ++--
 res/i18n/x2goclient_pt.ts    | 2 +-
 res/i18n/x2goclient_ru.ts    | 8 ++++----
 res/i18n/x2goclient_sv.ts    | 2 +-
 res/i18n/x2goclient_tr.ts    | 4 ++--
 res/i18n/x2goclient_zh_tw.ts | 4 ++--
 src/onmainwindow.cpp         | 2 +-
 14 files changed, 30 insertions(+), 30 deletions(-)

diff --git a/res/i18n/x2goclient_da.ts b/res/i18n/x2goclient_da.ts
index c48b172..84c2009 100644
--- a/res/i18n/x2goclient_da.ts
+++ b/res/i18n/x2goclient_da.ts
@@ -1008,8 +1008,8 @@ lydsystemets forbindelse igennem firewalls</translation>
     <message>
         <location filename="onmainwindow.cpp" line="388"/>
         <location filename="onmainwindow.cpp" line="8099"/>
-        <source>About X2GO client</source>
-        <translation>Om X2GO klient</translation>
+        <source>About X2Go Client</source>
+        <translation>Om X2Go klient</translation>
     </message>
     <message>
         <location filename="onmainwindow.cpp" line="489"/>
diff --git a/res/i18n/x2goclient_de.ts b/res/i18n/x2goclient_de.ts
index 85ced79..a604c35 100644
--- a/res/i18n/x2goclient_de.ts
+++ b/res/i18n/x2goclient_de.ts
@@ -1372,7 +1372,7 @@ sound system connections through firewalls</source>
         <translation>Werkzeugleiste wieder anzeigen</translation>
     </message>
     <message>
-        <source>About X2GO Client</source>
+        <source>About X2Go Client</source>
         <translation type="obsolete">Über X2GoClient</translation>
     </message>
     <message>
@@ -2162,7 +2162,7 @@ Please check your settings</source>
     <message>
         <location filename="onmainwindow.cpp" line="388"/>
         <location filename="onmainwindow.cpp" line="8099"/>
-        <source>About X2GO client</source>
+        <source>About X2Go Client</source>
         <translation>Über X2GoClient</translation>
     </message>
     <message>
diff --git a/res/i18n/x2goclient_es.ts b/res/i18n/x2goclient_es.ts
index 5a718ce..8af7131 100644
--- a/res/i18n/x2goclient_es.ts
+++ b/res/i18n/x2goclient_es.ts
@@ -997,7 +997,7 @@ el sonido en conexiones a través de firewalls</translation>
     <message>
         <location filename="onmainwindow.cpp" line="388"/>
         <location filename="onmainwindow.cpp" line="8099"/>
-        <source>About X2GO client</source>
+        <source>About X2Go Client</source>
         <translation>Acerca del cliente X2Go</translation>
     </message>
     <message>
@@ -2741,7 +2741,7 @@ Use x2goclient hidden mode?</source>
     <message>
         <location filename="sessionwidget.cpp" line="162"/>
         <source>Same login as on X2Go Server</source>
-        <translation>Mismos datos de inicio de sesión que en el servidor X2GO</translation>
+        <translation>Mismos datos de inicio de sesión que en el servidor X2Go</translation>
     </message>
     <message>
         <location filename="sessionwidget.cpp" line="164"/>
diff --git a/res/i18n/x2goclient_et.ts b/res/i18n/x2goclient_et.ts
index b273623..6a9e59e 100644
--- a/res/i18n/x2goclient_et.ts
+++ b/res/i18n/x2goclient_et.ts
@@ -984,7 +984,7 @@ sound system connections through firewalls</source>
     <message>
         <location filename="onmainwindow.cpp" line="388"/>
         <location filename="onmainwindow.cpp" line="8099"/>
-        <source>About X2GO client</source>
+        <source>About X2Go Client</source>
         <translation>X2Go client andmed</translation>
     </message>
     <message>
@@ -1772,7 +1772,7 @@ Kas Sa soovid ühenduse katkestada?
         <location filename="onmainwindow.cpp" line="5327"/>
         <location filename="onmainwindow.cpp" line="10292"/>
         <source>Attach X2Go window</source>
-        <translation>Ühendu X2GO aknaga</translation>
+        <translation>Ühendu X2Go aknaga</translation>
     </message>
     <message>
         <location filename="onmainwindow.cpp" line="5353"/>
@@ -1992,7 +1992,7 @@ Avatud failid ei salvestu</translation>
     <message>
         <location filename="onmainwindow.cpp" line="8087"/>
         <source>&lt;br&gt;Client for use with the X2Go network based computing environment. This Client will be able to connect to X2Go server(s) and start, stop, resume and terminate (running) desktop sessions. X2Go Client stores different server connections and may automatically request authentication data from LDAP directories. Furthermore it can be used as fullscreen loginscreen (replacement for loginmanager like xdm). Please visit x2go.org for further information.</source>
-        <translation>&lt;b&gt;Töövahend mille abil võid ühenduda X2Go võrgus olevate arvutitega. Selle kliendiprogrammiga võid ühenduda X2GO serveritega ja alustada, lõpetada, katkestada ja jätkata olemasolevate töölaua sessioonidega. X2Go Client jätab meelde erinevaid servereid ja võib automaatselt auteniseeruda kasutades LDAP katalooge Lisaks võib seda kasutada täisekraan loginekraanina (sel juhul asendab ta loginmanagere -nagu näiteks xdm ). Külasta veebilehte x2go.org, sealt saad täpsemat teavet.</translation>
+        <translation>&lt;b&gt;Töövahend mille abil võid ühenduda X2Go võrgus olevate arvutitega. Selle kliendiprogrammiga võid ühenduda X2Go serveritega ja alustada, lõpetada, katkestada ja jätkata olemasolevate töölaua sessioonidega. X2Go Client jätab meelde erinevaid servereid ja võib automaatselt auteniseeruda kasutades LDAP katalooge Lisaks võib seda kasutada täisekraan loginekraanina (sel juhul asendab ta loginmanagere -nagu näiteks xdm ). Külasta veebilehte x2go.org, sealt saad täpsemat teavet.</translation>
     </message>
     <message>
         <location filename="onmainwindow.cpp" line="8100"/>
@@ -3332,7 +3332,7 @@ sound system connections through firewalls</source>
     <message>
         <location filename="xsettingsui.ui" line="109"/>
         <source>start X-Server on X2Go Client start</source>
-        <translation>käivita X-server X2GOclient&apos;i käivitumisel</translation>
+        <translation>käivita X-server X2GoClient&apos;i käivitumisel</translation>
     </message>
     <message>
         <location filename="xsettingsui.ui" line="121"/>
diff --git a/res/i18n/x2goclient_fi.ts b/res/i18n/x2goclient_fi.ts
index ce62626..51513db 100644
--- a/res/i18n/x2goclient_fi.ts
+++ b/res/i18n/x2goclient_fi.ts
@@ -985,7 +985,7 @@ sound system connections through firewalls</source>
     <message>
         <location filename="onmainwindow.cpp" line="388"/>
         <location filename="onmainwindow.cpp" line="8099"/>
-        <source>About X2GO client</source>
+        <source>About X2Go Client</source>
         <translation>Tietoja X2Go-asiakasohjelmasta</translation>
     </message>
     <message>
@@ -3330,7 +3330,7 @@ sound system connections through firewalls</source>
     <message>
         <location filename="xsettingsui.ui" line="109"/>
         <source>start X-Server on X2Go Client start</source>
-        <translation>käynnistä X-palvelin kun X2GO -asiakasohjelma käynnistyy</translation>
+        <translation>käynnistä X-palvelin kun X2Go -asiakasohjelma käynnistyy</translation>
     </message>
     <message>
         <location filename="xsettingsui.ui" line="121"/>
diff --git a/res/i18n/x2goclient_fr.ts b/res/i18n/x2goclient_fr.ts
index 0d0af45..5fa3c43 100644
--- a/res/i18n/x2goclient_fr.ts
+++ b/res/i18n/x2goclient_fr.ts
@@ -779,7 +779,7 @@ sound system connections through firewalls</source>
         <translation>Support ...</translation>
     </message>
     <message>
-        <source>About X2GO client</source>
+        <source>About X2Go Client</source>
         <translation>Apropos de X2Go Client</translation>
     </message>
     <message>
diff --git a/res/i18n/x2goclient_nb_no.ts b/res/i18n/x2goclient_nb_no.ts
index 02bd539..51807bc 100644
--- a/res/i18n/x2goclient_nb_no.ts
+++ b/res/i18n/x2goclient_nb_no.ts
@@ -807,8 +807,8 @@ lydsystem forbindelser gjennom brannmurer</translation>
         <translation>Gjenopprett verktøylinjen</translation>
     </message>
     <message>
-        <source>About X2GO Client</source>
-        <translation type="obsolete">Über X2GO Client</translation>
+        <source>About X2Go Client</source>
+        <translation type="obsolete">Über X2Go Client</translation>
     </message>
     <message>
         <source>About Qt</source>
@@ -1366,8 +1366,8 @@ Vennligst sjekk instillingene dine</translation>
         <translation>Vis verktøylinje</translation>
     </message>
     <message>
-        <source>About X2GO client</source>
-        <translation>Om X2GO klient</translation>
+        <source>About X2Go Client</source>
+        <translation>Om X2Go klient</translation>
     </message>
     <message>
         <source>Please check LDAP settings</source>
diff --git a/res/i18n/x2goclient_nl.ts b/res/i18n/x2goclient_nl.ts
index a94a8f5..d70ecc0 100644
--- a/res/i18n/x2goclient_nl.ts
+++ b/res/i18n/x2goclient_nl.ts
@@ -981,7 +981,7 @@ sound system connections through firewalls</source>
     <message>
         <location filename="onmainwindow.cpp" line="388"/>
         <location filename="onmainwindow.cpp" line="8099"/>
-        <source>About X2GO client</source>
+        <source>About X2Go Client</source>
         <translation>Over X2Go client</translation>
     </message>
     <message>
@@ -1981,7 +1981,7 @@ authoized_keys file.</source>
     <message>
         <location filename="onmainwindow.cpp" line="8087"/>
         <source>&lt;br&gt;Client for use with the X2Go network based computing environment. This Client will be able to connect to X2Go server(s) and start, stop, resume and terminate (running) desktop sessions. X2Go Client stores different server connections and may automatically request authentication data from LDAP directories. Furthermore it can be used as fullscreen loginscreen (replacement for loginmanager like xdm). Please visit x2go.org for further information.</source>
-        <translation>&lt;br&gt;Client voor gebruik van de X2GO netwerkgebasseerde computeromgeving. Met deze client maakt u verbinding met de X2GO server(s) en kunt u desktop-sessies starten, stoppen, hervatten en (actieve sessies) beeindigen De X2GO client slaat verschillende serververbindingen op in, en kan automatisch authenticatie data opvragen van, LDAP directories. Verder kan de client gebruikt worden als fullscreen inlog scherm (vervanging voor inlog managers als kdm, xdm etc.). Bezoek aub x2go.org voor meer informatie.   </translation>
+        <translation>&lt;br&gt;Client voor gebruik van de X2Go netwerkgebasseerde computeromgeving. Met deze client maakt u verbinding met de X2Go server(s) en kunt u desktop-sessies starten, stoppen, hervatten en (actieve sessies) beeindigen De X2Go client slaat verschillende serververbindingen op in, en kan automatisch authenticatie data opvragen van, LDAP directories. Verder kan de client gebruikt worden als fullscreen inlog scherm (vervanging voor inlog managers als kdm, xdm etc.). Bezoek aub x2go.org voor meer informatie.   </translation>
     </message>
     <message>
         <location filename="onmainwindow.cpp" line="8100"/>
diff --git a/res/i18n/x2goclient_pt.ts b/res/i18n/x2goclient_pt.ts
index 1d70d9d..0e2f91d 100644
--- a/res/i18n/x2goclient_pt.ts
+++ b/res/i18n/x2goclient_pt.ts
@@ -979,7 +979,7 @@ sound system connections through firewalls</source>
     <message>
         <location filename="onmainwindow.cpp" line="388"/>
         <location filename="onmainwindow.cpp" line="8099"/>
-        <source>About X2GO client</source>
+        <source>About X2Go Client</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
diff --git a/res/i18n/x2goclient_ru.ts b/res/i18n/x2goclient_ru.ts
index 877f72b..2a05172 100644
--- a/res/i18n/x2goclient_ru.ts
+++ b/res/i18n/x2goclient_ru.ts
@@ -1463,8 +1463,8 @@ authoized_keys file.</source>
         <translation>Восстановить панель инструментов</translation>
     </message>
     <message>
-        <source>About X2GO Client</source>
-        <translation type="obsolete">О программе &quot;X2GO Client&quot;</translation>
+        <source>About X2Go Client</source>
+        <translation type="obsolete">О программе &quot;X2Go Client&quot;</translation>
     </message>
     <message>
         <location filename="onmainwindow.cpp" line="840"/>
@@ -2306,8 +2306,8 @@ Please check your settings</source>
     <message>
         <location filename="onmainwindow.cpp" line="388"/>
         <location filename="onmainwindow.cpp" line="8099"/>
-        <source>About X2GO client</source>
-        <translation>О программе &quot;X2GO Client&quot;</translation>
+        <source>About X2Go Client</source>
+        <translation>О программе &quot;X2Go Client&quot;</translation>
     </message>
     <message>
         <location filename="onmainwindow.cpp" line="1728"/>
diff --git a/res/i18n/x2goclient_sv.ts b/res/i18n/x2goclient_sv.ts
index 781db1f..bf2f553 100644
--- a/res/i18n/x2goclient_sv.ts
+++ b/res/i18n/x2goclient_sv.ts
@@ -1002,7 +1002,7 @@ ljudström genom brandväggar</translation>
     <message>
         <location filename="onmainwindow.cpp" line="388"/>
         <location filename="onmainwindow.cpp" line="8099"/>
-        <source>About X2GO client</source>
+        <source>About X2Go Client</source>
         <translation>Om X2Go-klient</translation>
     </message>
     <message>
diff --git a/res/i18n/x2goclient_tr.ts b/res/i18n/x2goclient_tr.ts
index 62dc0a7..6764c2b 100644
--- a/res/i18n/x2goclient_tr.ts
+++ b/res/i18n/x2goclient_tr.ts
@@ -926,8 +926,8 @@ Açık anahtar özeti: </translation>
     <message>
         <location filename="onmainwindow.cpp" line="388"/>
         <location filename="onmainwindow.cpp" line="8099"/>
-        <source>About X2GO client</source>
-        <translation>X2GO istemcisi hakkında</translation>
+        <source>About X2Go Client</source>
+        <translation>X2Go istemcisi hakkında</translation>
     </message>
     <message>
         <location filename="onmainwindow.cpp" line="489"/>
diff --git a/res/i18n/x2goclient_zh_tw.ts b/res/i18n/x2goclient_zh_tw.ts
index 26cfb64..0072200 100644
--- a/res/i18n/x2goclient_zh_tw.ts
+++ b/res/i18n/x2goclient_zh_tw.ts
@@ -996,8 +996,8 @@ sound system connections through firewalls</source>
     <message>
         <location filename="onmainwindow.cpp" line="388"/>
         <location filename="onmainwindow.cpp" line="8099"/>
-        <source>About X2GO client</source>
-        <translation>關於X2GO用戶端</translation>
+        <source>About X2Go Client</source>
+        <translation>關於X2Go用戶端</translation>
     </message>
     <message>
         <location filename="onmainwindow.cpp" line="489"/>
diff --git a/src/onmainwindow.cpp b/src/onmainwindow.cpp
index c3b5df3..0b2a924 100644
--- a/src/onmainwindow.cpp
+++ b/src/onmainwindow.cpp
@@ -391,7 +391,7 @@ ONMainWindow::ONMainWindow ( QWidget *parent ) :QMainWindow ( parent )
     }
 
     act_abclient=new QAction ( QIcon ( ":/img/icons/32x32/x2goclient.png" ),
-                               tr ( "About X2GO client" ),this );
+                               tr ( "About X2Go Client" ),this );
 
 
 
-- 
2.4.4