From: Jan Engelhardt <jengelh@medozas.de>
Date: 2012-02-28 08:39:25.478170352 +0100

install: avoid useless use of ls for file globbing

Have a good read of http://partmaps.org/era/unix/award.html

---
 x2goserver-compat/Makefile     |    8 ++++----
 x2goserver-extensions/Makefile |    8 ++++----
 x2goserver-fmbindings/Makefile |    8 ++++----
 x2goserver-printing/Makefile   |    8 ++++----
 x2goserver-pyhoca/Makefile     |    8 ++++----
 x2goserver-xsession/Makefile   |   10 +++++-----
 x2goserver/Makefile            |    8 ++++----
 7 files changed, 29 insertions(+), 29 deletions(-)

Index: x2goserver_3.1.1.1/x2goserver-compat/Makefile
===================================================================
--- x2goserver_3.1.1.1.orig/x2goserver-compat/Makefile
+++ x2goserver_3.1.1.1/x2goserver-compat/Makefile
@@ -19,10 +19,10 @@ BINDIR=$(PREFIX)/bin
 MANDIR=$(PREFIX)/share/man
 SHAREDIR=$(PREFIX)/share/x2go
 
-BIN_SCRIPTS=$(shell cd bin && ls)
-#SBIN_SCRIPTS=$(shell cd sbin && ls)
-#LIB_FILES=$(shell cd lib && ls)
-FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && ls *.features)
+BIN_SCRIPTS=$(shell cd bin && echo *)
+#SBIN_SCRIPTS=$(shell cd sbin && echo *)
+#LIB_FILES=$(shell cd lib && echo *)
+FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)
 
 man_pages = `cd man && find * -type f`
 
Index: x2goserver_3.1.1.1/x2goserver-extensions/Makefile
===================================================================
--- x2goserver_3.1.1.1.orig/x2goserver-extensions/Makefile
+++ x2goserver_3.1.1.1/x2goserver-extensions/Makefile
@@ -19,10 +19,10 @@ LIBDIR=$(PREFIX)/lib/x2go
 MANDIR=$(PREFIX)/share/man
 SHAREDIR=$(PREFIX)/share/x2go
 
-BIN_SCRIPTS=$(shell cd bin && ls)
-#SBIN_SCRIPTS=$(shell cd sbin && ls)
-#LIB_FILES=$(shell cd lib && ls)
-FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && ls *.features .placeholder)
+BIN_SCRIPTS=$(shell cd bin && echo *)
+#SBIN_SCRIPTS=$(shell cd sbin && echo *)
+#LIB_FILES=$(shell cd lib && echo *)
+FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features .placeholder)
 
 man_pages = `cd man && find * -type f`
 
Index: x2goserver_3.1.1.1/x2goserver-fmbindings/Makefile
===================================================================
--- x2goserver_3.1.1.1.orig/x2goserver-fmbindings/Makefile
+++ x2goserver_3.1.1.1/x2goserver-fmbindings/Makefile
@@ -19,10 +19,10 @@ LIBDIR=$(PREFIX)/lib/x2go
 MANDIR=$(PREFIX)/share/man
 SHAREDIR=$(PREFIX)/share/x2go
 
-BIN_SCRIPTS=$(shell cd bin && ls)
-#SBIN_SCRIPTS=$(shell cd sbin && ls)
-#LIB_FILES=$(shell cd lib && ls)
-FEATURE_SCRIPTS=$(shell cd share/x2go/x2gofeature.d && ls *.features)
+BIN_SCRIPTS=$(shell cd bin && echo *)
+#SBIN_SCRIPTS=$(shell cd sbin && echo *)
+#LIB_FILES=$(shell cd lib && echo *)
+FEATURE_SCRIPTS=$(shell cd share/x2go/x2gofeature.d && echo *.features)
 
 man_pages = `cd man && find * -type f`
 
Index: x2goserver_3.1.1.1/x2goserver-printing/Makefile
===================================================================
--- x2goserver_3.1.1.1.orig/x2goserver-printing/Makefile
+++ x2goserver_3.1.1.1/x2goserver-printing/Makefile
@@ -19,10 +19,10 @@ BINDIR=$(PREFIX)/bin
 MANDIR=$(PREFIX)/share/man
 SHAREDIR=$(PREFIX)/share/x2go
 
-BIN_SCRIPTS=$(shell cd bin && ls)
-#SBIN_SCRIPTS=$(shell cd sbin && ls)
-#LIB_FILES=$(shell cd lib && ls)
-FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && ls *.features)
+BIN_SCRIPTS=$(shell cd bin && echo *)
+#SBIN_SCRIPTS=$(shell cd sbin && echo *)
+#LIB_FILES=$(shell cd lib && echo *)
+FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)
 
 man_pages = `cd man && find * -type f`
 
Index: x2goserver_3.1.1.1/x2goserver-pyhoca/Makefile
===================================================================
--- x2goserver_3.1.1.1.orig/x2goserver-pyhoca/Makefile
+++ x2goserver_3.1.1.1/x2goserver-pyhoca/Makefile
@@ -19,10 +19,10 @@ LIBDIR=$(PREFIX)/lib/x2go
 MANDIR=$(PREFIX)/share/man
 SHAREDIR=$(PREFIX)/share/x2go
 
-BIN_SCRIPTS=$(shell cd bin && ls)
-#SBIN_SCRIPTS=$(shell cd sbin && ls)
-#LIB_FILES=$(shell cd lib && ls)
-FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && ls *.features)
+BIN_SCRIPTS=$(shell cd bin && echo *)
+#SBIN_SCRIPTS=$(shell cd sbin && echo *)
+#LIB_FILES=$(shell cd lib && echo *)
+FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)
 
 man_pages = `cd man && find * -type f`
 
Index: x2goserver_3.1.1.1/x2goserver-xsession/Makefile
===================================================================
--- x2goserver_3.1.1.1.orig/x2goserver-xsession/Makefile
+++ x2goserver_3.1.1.1/x2goserver-xsession/Makefile
@@ -20,11 +20,11 @@ ETCDIR=/etc/x2go
 MANDIR=$(PREFIX)/share/man
 SHAREDIR=$(PREFIX)/share/x2go
 
-#BIN_SCRIPTS=$(shell cd bin && ls)
-#SBIN_SCRIPTS=$(shell cd sbin && ls)
-#LIB_FILES=$(shell cd lib && ls)
-ETC_FILES=$(shell cd etc && ls)
-FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && ls *.features)
+#BIN_SCRIPTS=$(shell cd bin && echo *)
+#SBIN_SCRIPTS=$(shell cd sbin && echo *)
+#LIB_FILES=$(shell cd lib && echo *)
+ETC_FILES=$(shell cd etc && echo *)
+FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)
 
 #man_pages = `cd man && find * -type f`
 
Index: x2goserver_3.1.1.1/x2goserver/Makefile
===================================================================
--- x2goserver_3.1.1.1.orig/x2goserver/Makefile
+++ x2goserver_3.1.1.1/x2goserver/Makefile
@@ -19,10 +19,10 @@ LIBDIR=$(PREFIX)/lib/x2go
 MANDIR=$(PREFIX)/share/man
 SHAREDIR=$(PREFIX)/share/x2go
 
-BIN_SCRIPTS=$(shell cd bin && ls)
-SBIN_SCRIPTS=$(shell cd sbin && ls)
-LIB_FILES=$(shell cd lib && ls)
-FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && ls *.features)
+BIN_SCRIPTS=$(shell cd bin && echo *)
+SBIN_SCRIPTS=$(shell cd sbin && echo *)
+LIB_FILES=$(shell cd lib && echo *)
+FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)
 
 man_pages = `cd man && find * -type f`
 