From 6596efecb5e0f8a584b095efee30254c4a8485d5 Mon Sep 17 00:00:00 2001
From: "Eugene San (eugenesan)" <eugenesan@gmail.com>
Date: Wed, 23 Dec 2015 19:43:51 -0500
Subject: [PATCH 1/5] x2goruncommand: fix formatting

---
 x2goserver/bin/x2goruncommand | 68 +++++++++++++++++++++----------------------
 1 file changed, 34 insertions(+), 34 deletions(-)

diff --git a/x2goserver/bin/x2goruncommand b/x2goserver/bin/x2goruncommand
index fa62f71..0aa4db5 100755
--- a/x2goserver/bin/x2goruncommand
+++ b/x2goserver/bin/x2goruncommand
@@ -99,33 +99,33 @@ fi
 # To make the GNOME variants start up properly on Ubuntu, we have to make the following differentiations
 
 # Ubuntu 10.10 and earlier (maverick):
-#		 GNOME -> gnome-session
-#		 (would start GNOME2)
+#	GNOME -> gnome-session
+#	(would start GNOME2)
 # Ubuntu 11.04 (natty):
-#		 GNOME -> gnome-session --session=2d-gnome
-#		 UNITY -> gnome-session --session=2d-ubuntu
-#		 (GNOME3 based desktop shells)
+#	GNOME -> gnome-session --session=2d-gnome
+#	UNITY -> gnome-session --session=2d-ubuntu
+#	(GNOME3 based desktop shells)
 # Ubuntu 11.10 (oneiric) & 12.04 (precise):
-#		 GNOME -> gnome-session --session=gnome-fallback
-#		 UNITY -> gnome-session --session=ubuntu-2d
-#		 (GNOME3 based desktop shells)
+#	GNOME -> gnome-session --session=gnome-fallback
+#	UNITY -> gnome-session --session=ubuntu-2d
+#	(GNOME3 based desktop shells)
 # Ubuntu 12.10 (quantal):
-#		 GNOME -> gnome-session --session=gnome-fallback
-#		 UNITY -> gnome-session --session=ubuntu
-#		 (GNOME3 based desktop shells)
+#	GNOME -> gnome-session --session=gnome-fallback
+#	UNITY -> gnome-session --session=ubuntu
+#	(GNOME3 based desktop shells)
 # Ubuntu 13.10 (raring) and later:
-#		 GNOME -> gnome-session --session=gnome-flashback
-#		 UNITY -> gnome-session --session=ubuntu
-#		 (GNOME3 based desktop shells)
-#		 Additionally, $GTK_MODULES must include "unity-gtk-module".
-#		 $GTK_MODULES does not need tha value for any other distro
-#                or any earlier release of Ubuntu.
+#	GNOME -> gnome-session --session=gnome-flashback
+#	UNITY -> gnome-session --session=ubuntu
+#	(GNOME3 based desktop shells)
+#	Additionally, $GTK_MODULES must include "unity-gtk-module"
+#	$GTK_MODULES does not need that value for any other distro
+#	or any earlier release of Ubuntu.
 #
-#		 The logic for launching GNOME should be generic enough
-#                to work with every other distro.
+#	The logic for launching GNOME should be generic enough
+#	to work with every other distro.
 #
-#		 Also, it appears that some Linux GNOME2 distros need DESKTOP_SESSION="gnome"
-#                while others do not.
+#	Also, it appears that some Linux GNOME2 distros need DESKTOP_SESSION="gnome"
+#	while others do not.
 
 if [ "$cmd" == "GNOME" ] || [ "$cmd" == "gnome-session" ]; then
 	cmd="/usr/bin/gnome-session"
@@ -137,20 +137,20 @@ if [ "$cmd" == "GNOME" ] || [ "$cmd" == "gnome-session" ]; then
 			export GTK_MODULES="$GTK_MODULES:unity-gtk-module"
 		fi
 		args=" --session=$DESKTOP_SESSION"
-        elif [ -e /usr/share/gnome-session/sessions/gnome-flashback.session ]; then
-                export DESKTOP_SESSION="gnome-flashback"
-                args=" --session=$DESKTOP_SESSION"
-        elif [ -e /usr/share/gnome-session/sessions/gnome-fallback.session ]; then
-                export DESKTOP_SESSION="gnome-fallback"
-                args=" --session=$DESKTOP_SESSION"
-        elif [ -e /usr/share/gnome-session/sessions/2d-gnome.session ]; then
-                export DESKTOP_SESSION="2d-gnome"
-                args=" --session=$DESKTOP_SESSION"
-        elif [ "$DISTRIB_ID" == "Ubuntu" ] && [ "$(echo "$DISTRIB_RELEASE <= 10.10" | bc)" == "1" ]; then
-                export DESKTOP_SESSION="gnome"
+	elif [ -e /usr/share/gnome-session/sessions/gnome-flashback.session ]; then
+		export DESKTOP_SESSION="gnome-flashback"
+		args="--session=$DESKTOP_SESSION"
+	elif [ -e /usr/share/gnome-session/sessions/gnome-fallback.session ]; then
+		export DESKTOP_SESSION="gnome-fallback"
+		args=" --session=$DESKTOP_SESSION"
+	elif [ -e /usr/share/gnome-session/sessions/2d-gnome.session ]; then
+		export DESKTOP_SESSION="2d-gnome"
+		args=" --session=$DESKTOP_SESSION"
+	elif [ "$DISTRIB_ID" == "Ubuntu" ] && [ "$(echo "$DISTRIB_RELEASE <= 10.10" | bc)" == "1" ]; then
+		export DESKTOP_SESSION="gnome"
 	elif cat /etc/debian_version | egrep "^(squeeze|6\.).*" >/dev/null; then
-                export DESKTOP_SESSION="gnome"
-        fi
+		export DESKTOP_SESSION="gnome"
+	fi
 
 elif ([ "$cmd" == "UNITY" ] || [ "$cmd" == "unity" ]); then
 	cmd="/usr/bin/gnome-session"
-- 
2.6.4