From 107bdceeb9614d3f5982e973fbad88cbcb27a150 Mon Sep 17 00:00:00 2001
From: kjellski <kjellski@kjellski-kubuntu.(none)>
Date: Wed, 16 Jan 2013 16:11:42 +0100
Subject: [PATCH] Added README.md markdown files for each folder

---
 README.md                       |   56 +++++++++++++++++++++++++++++++++++++++
 debian/README.md                |    7 +++++
 x2goserver-compat/README.md     |   16 +++++++++++
 x2goserver-extensions/README.md |   18 +++++++++++++
 x2goserver-fmbindings/README.md |   14 ++++++++++
 x2goserver-printing/README.md   |   15 +++++++++++
 x2goserver-pyhoca/README.md     |   14 ++++++++++
 x2goserver-xsession/README.md   |   14 ++++++++++
 x2goserver/README.md            |   43 ++++++++++++++++++++++++++++++
 9 files changed, 197 insertions(+)
 create mode 100644 README.md
 create mode 100644 debian/README.md
 create mode 100644 x2goserver-compat/README.md
 create mode 100644 x2goserver-extensions/README.md
 create mode 100644 x2goserver-fmbindings/README.md
 create mode 100644 x2goserver-printing/README.md
 create mode 100644 x2goserver-pyhoca/README.md
 create mode 100644 x2goserver-xsession/README.md
 create mode 100644 x2goserver/README.md

diff --git a/README.md b/README.md
new file mode 100644
index 0000000..464b3f2
--- /dev/null
+++ b/README.md
@@ -0,0 +1,56 @@
+# x2goserver  
+This document provides an overview of the sources of the x2goserver project and it's codebase.
+The most of different folder are documented with README.md files as well. The goal of this 
+documentation is to provice a quick overview of what is where how the differen components 
+interact.
+
+ * debian 
+
+   This folder contains all the stuff thats needed to build the debian package.
+
+ * x2goserver
+
+   This folder contains the x2goserver core component. Look into this folders README.md file.
+
+ * x2goserver-compat
+
+   This folder contains the compatibility scripts.
+
+ * x2goserver-extensions
+   
+   This folder contains the extensions to the x2goservers core component. The x2goserver-run-extensions 
+   is called from within a number of X2Go Server core scripts.
+
+ * x2goserver-fmbindings
+
+   X2Go wrapper for Browsing X2Go Shared Folders
+
+ * x2goserver-printing
+
+   This folder contains the X2Go print jobs library.
+
+ * x2goserver-pyhoca
+
+   This folder contains the pyhoca extension for including the pyhoca libraries from the pyhoca libraries.
+
+ * x2goserver-xsession
+
+   This folder contains the project for fiddling arround with Xsession files of your own system and 
+   the remote servers Xsession files.
+
+ * INSTALL
+ 
+   This File contains installation instructions for building and installing it from a tarball.
+
+ * Makefile 
+
+   This file is used by [http://www.gnu.org/software/make/manual/make.html](make) to build and install the code with the appropriate compiler.
+
+ * Makefile.docupload
+   
+   This file is used by [http://www.gnu.org/software/make/manual/make.html](make) to build and upload the x2goserver documentation.
+
+ * UNINSTALL
+
+   This file is used by [http://www.gnu.org/software/make/manual/make.html](make) to uninstall all previously installed components of the x2goserver.
+
diff --git a/debian/README.md b/debian/README.md
new file mode 100644
index 0000000..40233cb
--- /dev/null
+++ b/debian/README.md
@@ -0,0 +1,7 @@
+# debuild folder 
+This folder is used to be able to build the x2goserver component with ```debuild -us -uc```. 
+All files and folders in here are specific to how debuild works. Have a look at the tools 
+[http://manpages.ubuntu.com/manpages/hardy/man1/debuild.1.html](man page) or go with the 
+[https://wiki.ubuntu.com/PackagingGuide/HandsOn](community documentation).
+
+
diff --git a/x2goserver-compat/README.md b/x2goserver-compat/README.md
new file mode 100644
index 0000000..114c247
--- /dev/null
+++ b/x2goserver-compat/README.md
@@ -0,0 +1,16 @@
+# x2goserver-compat
+This folder contains backwards compatibility stuff and sources that that are used by old clients. Have a look into each subfolder, they're pretty outdated.
+
+ * bin 
+   
+   contains the old scripts for suspending and agend-suspending as well as the terminate script.
+
+ * man 
+
+   man page documenations 
+
+ * share
+
+   x2gofeature.d folder, also for backwards compatibility.
+
+
diff --git a/x2goserver-extensions/README.md b/x2goserver-extensions/README.md
new file mode 100644
index 0000000..e01cfb4
--- /dev/null
+++ b/x2goserver-extensions/README.md
@@ -0,0 +1,18 @@
+# x2goserver-extensions
+This folder contains the entrypoints for server extensions. This is the namespace in which you'll write your server side contributions.
+
+ * bin
+
+   contains the extensions running script. This is the script that starts the extension if provided.
+
+ * lib
+
+   contains the different entry points for extensions in order to start have entry points to different scripts running on one of these points in time. these folders will contain your extensions scripts.
+
+ * man
+ 
+   man page documentations
+
+ * share
+
+   feature starting deamon script 
diff --git a/x2goserver-fmbindings/README.md b/x2goserver-fmbindings/README.md
new file mode 100644
index 0000000..2c61c4d
--- /dev/null
+++ b/x2goserver-fmbindings/README.md
@@ -0,0 +1,14 @@
+# x2goserver-fmbindings
+This folder contains all scripts and helpers for the ssh mounted Shared Folders in x2go
+
+ * bin
+
+   contains the script to open a shared folder with x2go
+
+ * man 
+
+   man page documentation
+
+ * share
+
+   contains the mime type definition as well as a german translation of the binding and the feature script itself.
diff --git a/x2goserver-printing/README.md b/x2goserver-printing/README.md
new file mode 100644
index 0000000..9a88829
--- /dev/null
+++ b/x2goserver-printing/README.md
@@ -0,0 +1,15 @@
+# x2goserver-printing
+This folder contains the x2go printing service feature.
+
+ * bin 
+
+   contains the script that lets you run the print job remotely at your client side.
+
+ * man
+
+   man page documentations
+
+ * share 
+
+   contains the feature definition itself.
+
diff --git a/x2goserver-pyhoca/README.md b/x2goserver-pyhoca/README.md
new file mode 100644
index 0000000..d467d2e
--- /dev/null
+++ b/x2goserver-pyhoca/README.md
@@ -0,0 +1,14 @@
+# x2goserver-pyhoca
+This folder contains the neccessary placeholder and feature definitions to execute the pyhoca client side.
+
+ * bin 
+
+   placeholder folder
+
+ * man
+
+   man page documentations
+
+ * share
+
+   feature definition itself, seems empty so far, maybe only to use the feature installation process?
diff --git a/x2goserver-xsession/README.md b/x2goserver-xsession/README.md
new file mode 100644
index 0000000..28c7dcd
--- /dev/null
+++ b/x2goserver-xsession/README.md
@@ -0,0 +1,14 @@
+# x2goserver-xsession
+This folder contains the scripts to enable you to use your own Xsessions file instead of the system ones.
+
+ * doc 
+
+   documentation folder
+
+ * etx
+
+   contains the default Xsession file
+
+ * share
+
+   contains the feature itself
diff --git a/x2goserver/README.md b/x2goserver/README.md
new file mode 100644
index 0000000..ec48bc7
--- /dev/null
+++ b/x2goserver/README.md
@@ -0,0 +1,43 @@
+# x2goserver core component
+
+## x2goserver/bin 
+This folder contains all the scripts to be used by the server in order to provide functionality to all the clients. The scripts itself are used for various different functions listed below:
+
+ * x2gobasepath - _todo_
+ * x2gocmdexitmessage - _todo_
+ * x2gofeature - _todo_
+ * x2gofeaturelist - _todo_
+ * x2gogetapps - _todo_
+ * x2gogetservers - _todo_
+ * x2golistdesktops - _todo_
+ * x2golistmounts - _todo_
+ * x2golistsessions - _todo_
+ * x2gomountdirs - _todo_
+ * x2gopath - _todo_
+ * x2goresume-session - _todo_
+ * x2goruncommand - _todo_
+ * x2gosessionlimit - _todo_
+ * x2gosetkeyboard - _todo_
+ * x2goshowblocks - _todo_
+ * x2gostartagent - _todo_
+ * x2gosuspend-session - _todo_
+ * x2goterminate-session - _todo_
+ * x2goumount\_session -> x2goumount-session - _todo_
+ * x2goumount-session - _todo_
+ * x2goversion - _todo_
+
+## x2goserver/doc
+Documentation folder, contains only documentation.
+
+## x2goserver/etc
+Default configurations for x2goserver and nxagent.
+
+## x2goserver/lib
+perl scripts for usage by the server.
+
+## x2goserver/man
+man page folder of this package.
+
+## x2goserver/sbin
+x2goserver administrative scripts. contains x2gocleansessions, x2godbadmin as well as x2golistsessions
+
-- 
1.7.9.5