From a3e41a0b557ecf9f1eca4b13101a80fec2c76288 Mon Sep 17 00:00:00 2001
From: Ricardo Diaz <oceanosoftlapalma@gmail.com>
Date: Fri, 28 Feb 2014 09:40:25 +0100
Subject: [PATCH] added spanish translation

---
 .../x2gogroupadmingui/x2gogroupadmingui_es.ts      | 250 +++++++++++++++++++++
 1 file changed, 250 insertions(+)
 create mode 100644 x2goadmincenter/modules/x2gogroupadmingui/x2gogroupadmingui_es.ts

diff --git a/x2goadmincenter/modules/x2gogroupadmingui/x2gogroupadmingui_es.ts b/x2goadmincenter/modules/x2gogroupadmingui/x2gogroupadmingui_es.ts
new file mode 100644
index 0000000..911853b
--- /dev/null
+++ b/x2goadmincenter/modules/x2gogroupadmingui/x2gogroupadmingui_es.ts
@@ -0,0 +1,250 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS>
+<TS version="2.0" language="es_ES">
+<context>
+    <name>MaiaObject</name>
+    <message>
+        <location filename="../../maia/maiaObject.cpp" line="287"/>
+        <source>parse error: invalid xml-rpc. not conforming to spec.</source>
+        <translation>error de análisis: xml-prc inválido. No se ajusta a lo esperado.</translation>
+    </message>
+</context>
+<context>
+    <name>X2GoGroupAdminUI</name>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="14"/>
+        <source>Form</source>
+        <translation>Formulario</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="24"/>
+        <source>Groups</source>
+        <translation>Grupos</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="52"/>
+        <location filename="x2gogroupadminui.ui" line="251"/>
+        <source>Name</source>
+        <translation>Nombre</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="57"/>
+        <source>GID</source>
+        <translation>GID</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="62"/>
+        <source>Description</source>
+        <translation>Descripción</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="67"/>
+        <source>Type</source>
+        <translation>Tipo</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="77"/>
+        <source>Delete selected group(s) ...</source>
+        <translation>Eliminar los grupos seleccionados...</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="93"/>
+        <source>Create new group</source>
+        <translation>Crear nuevo grupo</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="112"/>
+        <source>Group settings</source>
+        <translation>Opciones del grupo</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="127"/>
+        <source>Group</source>
+        <translation>Grupo</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="134"/>
+        <source>Name:</source>
+        <translation>Nombre:</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="148"/>
+        <source>Group ID:</source>
+        <translation>ID de grupo:</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="179"/>
+        <source>Description:</source>
+        <translation>Descripción:</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="189"/>
+        <source>Group type:</source>
+        <translation>Tipo de grupo:</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="219"/>
+        <source>Remove selected user(s) from group</source>
+        <translation>Eliminar usuarios seleccionados del grupo</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="262"/>
+        <source>Add selected user(s)/group(s) to group</source>
+        <translation>Añadir usuarios seleccionados al grupo</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="282"/>
+        <source>&amp;Change password</source>
+        <translation>&amp;Cambiar contraseña</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminui.ui" line="319"/>
+        <source>&amp;Apply changes</source>
+        <translation>&amp;Aplicar cambios</translation>
+    </message>
+</context>
+<context>
+    <name>X2GoGroupAdminWindow</name>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="62"/>
+        <source>X2Go group administration</source>
+        <translation>Administración de grupos X2Go</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="63"/>
+        <source>Use this module to administrate groups</source>
+        <translation>Use este módulo para la administración de grupos</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="72"/>
+        <source>Developers:</source>
+        <translation>Desarrolladores:</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="73"/>
+        <source>Translators:</source>
+        <translation>Traductores:</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="142"/>
+        <location filename="x2gogroupadminwindow.cpp" line="147"/>
+        <location filename="x2gogroupadminwindow.cpp" line="185"/>
+        <location filename="x2gogroupadminwindow.cpp" line="200"/>
+        <location filename="x2gogroupadminwindow.cpp" line="717"/>
+        <location filename="x2gogroupadminwindow.cpp" line="722"/>
+        <source>Error</source>
+        <translation>Error</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="142"/>
+        <source>Invalid input: &quot;Name&quot;</source>
+        <translation>Campo no válido: &quot;Nombre&quot;</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="147"/>
+        <source>Group already exists: </source>
+        <translation>El grupo ya existe: </translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="185"/>
+        <source>Invalid input: &quot;Description&quot;</source>
+        <translation>Campo no válido: &quot;Descripción&quot;</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="200"/>
+        <source>Group with this group ID already exists: </source>
+        <translation>Ya existe un grupo con el mismo ID: </translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="226"/>
+        <location filename="x2gogroupadminwindow.cpp" line="266"/>
+        <location filename="x2gogroupadminwindow.cpp" line="772"/>
+        <source>Retrieving information from server, please wait...</source>
+        <translation>Recuperando información desde el servidor, por favor espere...</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="234"/>
+        <location filename="x2gogroupadminwindow.cpp" line="289"/>
+        <location filename="x2gogroupadminwindow.cpp" line="779"/>
+        <source>Ready</source>
+        <translation>Listo</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="489"/>
+        <source>Apply changes</source>
+        <translation>Aplicar cambios</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="489"/>
+        <source>Do you want to apply changes?</source>
+        <translation>¿Quiere aplicar los cambios?</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="533"/>
+        <source>Connection error</source>
+        <translation>Error en la conexión</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="544"/>
+        <source>Server connection failed&lt;br&gt;Error message:</source>
+        <translation>Falló la conexión con el servidor&lt;br&gt;Mensaje de error:</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="545"/>
+        <location filename="x2gogroupadminwindow.cpp" line="553"/>
+        <location filename="x2gogroupadminwindow.cpp" line="561"/>
+        <source>Server error</source>
+        <translation>Error en el servidor</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="552"/>
+        <source>Login failed</source>
+        <translation>Falló el inicio de sesión</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="560"/>
+        <source>Execution of command failed&lt;br&gt;Error message:</source>
+        <translation>Falló la ejecución del comando&lt;br&gt;Mensaje de error:</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="711"/>
+        <source>Set group password</source>
+        <translation>Establecer contraseña para el grupo</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="711"/>
+        <source>Group password:</source>
+        <translation>Contraseña del grupo:</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="714"/>
+        <source>Verify group password</source>
+        <translation>Verificación de contraseña de grupo</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="714"/>
+        <source>Verify password:</source>
+        <translation>Verificación de contraseña:</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="717"/>
+        <source>Passwords are not identical</source>
+        <translation>Las contraseñas no coinciden</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="722"/>
+        <source>Password required</source>
+        <translation>Se requiere la contraseña</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="761"/>
+        <source>Warning</source>
+        <translation>Atención</translation>
+    </message>
+    <message>
+        <location filename="x2gogroupadminwindow.cpp" line="761"/>
+        <source>Delete selected group(s)</source>
+        <translation>Eliminar los grupos seleccionados</translation>
+    </message>
+</context>
+</TS>
-- 
1.8.4.3